function CtrStart(this, channel)
%CTRSTART Start counter.
%   CTRSTART(DEVICE, CHANNEL) starts counting on counter input
%   channel CHANNEL. CHANNEL may be a scalar or a vector, in which case
%   multiple channels are started simultaneously. Channels are numbered 
%   starting from 1. The counter is already started after reset.
%
%   Example - start counting on the first counter input channel of MF624 board
%     dev = HudaqDevice('MF624');
%     CtrStart(dev, 1)
%     Close(dev);
%
%   See also HUDAQDEVICE, CTRRESET, CTRSTOP, CTRREAD.

%   Copyright 2002-2011 HUMUSOFT s.r.o.


% validate device handle
hudaqhandle('Validate', this.H);

% start counter channels simultaneously
hudaqcall('HudaqCtrStart', this.H, uint32(sum(bitshift(1, channel-1))));
