function CtrStop(this, channel)
%CTRSTOP Stop counter.
%   CTRSTOP(DEVICE, CHANNEL) stops counting on counter input
%   channel CHANNEL. CHANNEL may be a scalar or a vector, in which case
%   multiple channels are stopped simultaneously. Channels are numbered 
%   starting from 1. The counter is already started after reset.
%
%   Example - stop counting on the first counter input channel of MF624 board
%     dev = HudaqDevice('MF624');
%     CtrStop(dev, 1)
%     Close(dev);
%
%   See also HUDAQDEVICE, CTRRESET, CTRSTART, CTRREAD.

%   Copyright 2002-2011 HUMUSOFT s.r.o.


% validate device handle
hudaqhandle('Validate', this.H);

% stop counter channels simultaneously
hudaqcall('HudaqCtrStop', this.H, uint32(sum(bitshift(1, channel-1))));
