function EncReset(this, channel)
%ENCRESET Reset encoder input pulse count.
%   ENCRESET(DEVICE, CHANNEL) resets pulse count of encoder input
%   channel CHANNEL. CHANNEL may be a scalar or a vector, in which case
%   multiple channels are reset. Channels are numbered from 1.
%
%   Example - reset pulse count of the first encoder input channel of MF624 board
%     dev = HudaqDevice('MF624');
%     EncReset(dev, 1)
%     Close(dev);
%
%   See also HUDAQDEVICE, ENCREAD.

%   Copyright 2002-2007 HUMUSOFT s.r.o.


% validate device handle
hudaqhandle('Validate', this.H);

% reset encoder channels
for i=1:numel(channel)
  hudaqcall('HudaqEncReset', this.H, int32(channel(i))-1);
end
