function x = expandarg(x, y)
%EXPANDARG Ensure input argument X is the same as Y, scalar-expanding X
%   if needed.
%   Private function.

%   Copyright 2002-2007 HUMUSOFT s.r.o.


switch numel(x)
  % size match
  case numel(y)
    x = reshape(x, size(y));
    return;

  % scalar expansion
  case 1
    x = x(ones(size(y)));
    return;

  % size mismatch
  otherwise
    error('HUDAQLIB:ArgSizeMismatch', ...
          'Output value size %d does not match number of channels %d.', numel(x), numel(y));
end
