function [outval,outparam] = translatesymbol(this,valuex,param,direction)
%HUDAQCALL Call the HUDAQLIB library.
%   Private function.

%   Copyright 2002-2011 HUMUSOFT s.r.o.


persistent enuminfo;

 if isempty(enuminfo)
   [methodinfo,structs,enuminfo]=hudaqproto;
   enuminfo.HudaqCtrClockSource = FillHoles(enuminfo.HudaqCtrClockSource);
 end

 if nargin >= 3    % When parameter is provided, search enuminfo more effectively.
   if ischar(param)
     outparam = enuminfo.HudaqParameter.(param);
   else
     outparam = param;
   end

   if nargin >= 4
     if direction
       switch outparam
         case 4096         % 'HudaqAIOUnits'
           outval = (fieldnames(enuminfo.HudaqAIOUnits)); 
         case 24577        % 'HudaqCtrCLOCKSOURCE'        
           outval = (fieldnames(enuminfo.HudaqCtrClockSource));
         case 24578        % 'HudaqCtrCLOCKOUTPUT'        
           outval = (fieldnames(enuminfo.HudaqCtrOutputControl));
         case 24583        % 'HudaqCtrTRIGSOURCE'
           outval = (fieldnames(enuminfo.HudaqCtrTrigSource));
         case 24584        % 'HudaqCtrTRIGTYPE'
           outval = (fieldnames(enuminfo.HudaqCtrTrigType));
         case 20482        % 'HudaqEncMODE'        
           outval = (fieldnames(enuminfo.HudaqEncMode));
         case 20483        % 'HudaqEncCOUNTCONTROL'
           outval = (fieldnames(enuminfo.HudaqEncCountControl));
         case 20484        % 'HudaqEncRESETMODE'
           outval = (fieldnames(enuminfo.HudaqEncResetMode));      
         case 24586        % 'HudaqCtrGATESource'
           outval = (fieldnames(enuminfo.HudaqCtrGateSource));
         otherwise
           outval = valuex;
       end
       if iscell(outval)
          outval = outval{valuex+1}; 
       end
       return;
     end
   end

   if ischar(valuex)
     switch outparam
       case 4096         % 'HudaqAIOUnits'
         outval = enuminfo.HudaqAIOUnits.(valuex);
         return
       case 24577        % 'HudaqCtrCLOCKSOURCE'
         outval = enuminfo.HudaqCtrClockSource.(valuex);
         return
       case 24578        % 'HudaqCtrCLOCKOUTPUT'
         outval = enuminfo.HudaqCtrOutputControl.(valuex);
         return
       case 24583        % 'HudaqCtrTRIGSOURCE'
         outval = enuminfo.HudaqCtrTrigSource.(valuex);
         return
       case 24584        % 'HudaqCtrTRIGTYPE'
         outval = enuminfo.HudaqCtrTrigType.(valuex);
         return
       case 24586        % 'HudaqCtrGATESource'
         outval = enuminfo.HudaqCtrGateSource.(valuex);
         return
       case 20482        % 'HudaqEncMODE'
         outval = enuminfo.HudaqEncMode.(valuex);
         return
       case 20483        % 'HudaqEncCOUNTCONTROL'
         outval = enuminfo.HudaqEncCountControl.(valuex);
         return
       case 20484        % 'HudaqEncRESETMODE'
         outval = enuminfo.HudaqEncResetMode.(valuex);
         return
     end
   end
 end

        % Param was not provided, so scan all possible enums:
 if ischar(valuex)
   if isfield(enuminfo.HudaqCtrClockSource, valuex)
     outval = enuminfo.HudaqCtrClockSource.(valuex);
   elseif isfield(enuminfo.HudaqCtrOutputControl, valuex)
     outval = enuminfo.HudaqCtrOutputControl.(valuex);
   elseif isfield(enuminfo.HudaqEncMode, valuex)
     outval = enuminfo.HudaqEncMode.(valuex);
   elseif isfield(enuminfo.HudaqEncCountControl, valuex)
     outval = enuminfo.HudaqEncCountControl.(valuex);  
   elseif isfield(enuminfo.HudaqEncResetMode, valuex)
     outval = enuminfo.HudaqEncResetMode.(valuex);
   elseif isfield(enuminfo.HudaqCtrGateSource, valuex)
     outval = enuminfo.HudaqCtrGateSource.(valuex);
   elseif isfield(enuminfo.HudaqCtrTrigSource, valuex)
     outval = enuminfo.HudaqCtrTrigSource.(valuex);
   elseif isfield(enuminfo.HudaqCtrTrigType, valuex)
     outval = enuminfo.HudaqCtrTrigType.(valuex);
   elseif isfield(enuminfo.HudaqAIOUnits, valuex)
     outval = enuminfo.HudaqAIOUnits.(valuex);
   else  
     outval = valuex;
   end  
 else
   outval = valuex;
 end



% Fill all holes and sort enum items.
function retenum = FillHoles(enum2in)

fields = struct2cell(enum2in);
fields = [fields{:}];
fieldnam = fieldnames(enum2in);
retenum = struct;

for i=0:max(fields)
  index = find(fields == i);
  if isempty(index)
    retenum.(['x',num2str(i)]) = i;
  else
    retenum.(fieldnam{index}) = i;
  end
end


